#include "toolchain.h"
#include "anelex_code.h"
#include "anelex.h"

void print_line() {
	// startup line printing
	//puts("Starting line transmission");
	line_counter = 0;
	print_line_feed();
	line_state = LINE_TRANSMITTING;
}


void print_line_feed() {
	// Lege Zeilenvorschub an (spaeter mal variabel)
	set_data(0x01);
	_delay_us(800);
	start_strobe();
	_delay_us(1);
	stop_strobe();
}


ISR(INT2_vect) {
	// Communication Announcement steigende Flanke.
	// je nach zustand

	if(line_state != LINE_TRANSMITTING)
		return;

	uint8_t current_counter = line_counter; // volatile lokal holen, spaeter unnoetig

	if(current_counter < LINE_LENGTH) {
		// aussage: Naechsetes Zeichen kann angelegt werden
		char orig = current_line[ current_counter ];
		if(orig) {
			// normales zeichen
			char transformed = anelex_code[ orig ];
			//printf("%d: Zeichen %c, entspricht oktal %o\n", current_counter, orig, transformed);
			//printf("%d", current_counter, orig);
			//_delay_us(100);
			
			// LEGE ZEICHEN AN:
			set_data(transformed);
			_delay_us(20); 
			start_strobe();
			_delay_us(2);
			stop_strobe();
			// jetzt bis zum naechsten Zeichen warten

			line_counter++;
			return;
		}
	}

	// Zeilenende erreicht (etwa durch \0 oder zu grossen current_counter,
	// was nicht vorkommen sollte)
	line_state = LINE_PRINTING;
	set_data(0x01); // aufraeumen am DATENPORT
	//printf("Print Command\n");

	start_printcmd();
	_delay_us(10);
	stop_printcmd();
	// warten auf auf das naechste CA.
}

ISR(INT1_vect) {
	// Rising Edge von Line Ready = Zeile wird gedruckt!
	if(line_state != LINE_PRINTING)
		return;

	//printf("Zeile wird gedruckt...\n");
	puts("printing");
	while(!is_ready());
	puts("finished");
	//printf("Zeile fertig gedruckt\n");

	line_state = LINE_FINISHED;
}


