/* Store strings in Program memory. 64KByte of text! :) */

#include <avr/pgmspace.h>

char string_helloworld[] PROGMEM = "HELLO WORLD";

char string_simple[] PROGMEM =
	"ABCDEFGHIJKLMNOPQRSTUVWXYZABCDEFGHIJKLMNOPQRSTUVWXYZABCDEFGHIJKLMNOPQRSTUVWXYZABCDEFGHIJKLMNOPQRSTUVWXYZ\n"
	"BCDEFGHIJKLMNOPQRSTUVWXYZABCDEFGHIJKLMNOPQRSTUVWXYZABCDEFGHIJKLMNOPQRSTUVWXYZABCDEFGHIJKLMNOPQRSTUVWXYZA\n"
	"0123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789\n"
	"1234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890\n";

char string_charset[] PROGMEM = 
	"ABCDEFGHIJKLMNOPQRSTUVWXYZ\n"
	"abcdefghijklmnopqrstuvwxyz\n"
	"ZYXWVUTSRQPONMLKJIHGFEDCBA\n"
	"zxywvutsrqponmlkjihgfedcba\n"
	"0123456789\n"
	"9876543210\n"
	"+-.,()/=?";

char string_pangrams[] PROGMEM = 
	"The quick brown fox jumps over the lazy dog.\n"
	"Vogel Quax zwickt Johnys Pferd Bim.\n"
	"Sylvia wagt quick den Jux bei Pforzheim.\n"
	"Prall vom Whisky flog Quax den Jet zu Bruch.\n"
	"Franz jagt im komplett verwahrlosten Taxi quer durch Bayern.\n"
	"Stanleys Expeditionszug quer durch Afrika wird von jedermann bewundert.\n"
	"Jackdaws love my big Sphinx of Quartz.\n";

char string_numbers[] PROGMEM = "\
1234567890123456789012345678901234567890123456789012345678901234567890\n\
123456789012345678901234567890123456789012345678901234567890\n\
12345678901234567890123456789012345678901234567890\n\
1234567890123456789012345678901234567890\n\
123456789012345678901234567890\n\
12345678901234567890\n\
1234567890\n\
123\n";

// yes, this IS the help message which is printed via RS232 on "?help" command.
char string_help_message[] PROGMEM =
"HELP\n"
"====\n"
"\n"
" This is the ANELEX printer interface microcontroller. Any text which is recieved\n"
" via RS232 will be directly printed out. There is some verbose output (which you\n"
" can ignore), especially for every bad character (which is not in the charset of\n"
" the printer).\n"
"\n"
" Alternatively, you can push the button on the microcontroller board, which will\n"
" print some built in tests. Magic Lines starting with an quotation mark (?) are\n"
" interpreted as commands. These commands are available:\n"
"\n"
"    help    Prints out this help message\n"
"    ping    Just prints something back\n"
"    test N  Starts the test procedure number N, while N is a number (like ?test 42)\n"
"    list    List all available tests\n"
"    list N  Just output the test string number N on the RS232 terminal\n"
"\n";

char string_bullhomepagetext[] PROGMEM =
"1963 brachte BULL (General Electric) den GAMMA 10 (G10) auf den Markt, der insbesondere fr kommerzielle\n"
"Anwendungen im Lochkartenverfahren gedacht war. Dies war der unmittelbare Nachfolger der Tabelliermaschine\n"
"(mit oder ohne Gamma 3). Im Gegensatz zu den Groanlagen bentigte der G10 nur einen ca. 20m groen Raum, \n"
"der nicht klimatisiert werden musste. Die Leistungsaufnahme betrgt maximal 2,5 kW.\n"
"Die Grundausrstung besteht aus der Zentraleinheit mit Steuerpult, der Lochkartenlese-/Stanzeinheit und\n"
"dem separaten Trommeldrucker. Der Arbeitsspeicher ist ein Kernspeicher der wahlweise 1kB bis maximal\n"
"4 kB Kapazitt hatte. Fr die Programmierung stehen 59 unterschiedliche Grundoperationen zur Verfgung.\n"
"Die Zykluszeit des Kernspeichers betrgt 7 Mikrosekunden. Der Rechner kann gleichzeitig 300 Karten pro\n"
"Minute lesen und stanzen. Entsprechend gigantisch ist das Stanzwerk. 5 komplette Lochkarten pro Sekunde\n"
"zu stanzen ist eine beachtliche Leistung. Der Drucker schafft immerhin 300 Zeilen pro Minute (Zum\n"
"Vergleich: Der Drucker unserer UNIVAC 9400 Anlage ist mehr als dreimal so schnell).\n"
"Dieser Rechner zeichnet sich durch einen sehr sthetischen, hervorragenden Aufbau aus. Nackt, d.h.\n"
"ohne Verkleidung wirkt er noch schner als in der ersten Abbildung. Das gesamte Chassis ist in\n"
"silbermetallic Hochglanzfarbe ausgefhrt. Die Anordnungen der einzelnen Elemente sind klar,\n"
"servicefreundlich und bersichtlich.\n"
"Mittlerweile funktioniert bereits die gesamte und sehr komplexe Mechanik, die ein wesentlicher Teil \n"
"dieses Rechners ist. Nachdem wir den beheizten Kernspeicher auf die richtige Temperatur eingeregelt \n"
"und ein paar defekte Transistoren gewechselt haben, laufen bereits ein Programm zum Doppeln von \n"
"Lochkarten, sowie die ersten Mathematikprogramme. Das ist fr einen so alten Computer wahrlich \n"
"sensationell.\n";

char string_werther[] PROGMEM = // 120 zeilen ausnutzung, Goethes Werther
"Eine wunderbare Heiterkeit hat meine ganze Seele eingenommen, gleich den sen Frhlingsmorgen, die ich mit ganzem\n\
Herzen geniee. Ich bin allein und freue mich meines Lebens in dieser Gegend, die fr solche Seelen geschaffen ist wie\n\
die meine. Ich bin so glcklich, mein Bester, so ganz in dem Gefhle von ruhigem Dasein versunken, da meine Kunst\n\
darunter leidet. Ich knnte jetzt nicht zeichnen, nicht einen Strich, und bin nie ein grerer Maler gewesen als in\n\
diesen Augenblicken. Wenn das liebe Tal um mich dampft, und die hohe Sonne an der Oberflche der undurchdringlichen\n\
Finsternis meines Waldes ruht, und nur einzelne Strahlen sich in das innere Heiligtum stehlen, ich dann im hohen Grase\n\
am fallenden Bache liege, und nher an der Erde tausend mannigfaltige Grschen mir merkwrdig werden; wenn ich das\n\
Wimmeln der kleinen Welt zwischen Halmen, die unzhligen, unergrndlichen Gestalten der Wrmchen, der Mckchen nher an\n\
meinem Herzen fhle, und fhle die Gegenwart des Allmchtigen, der uns nach seinem Bilde schuf, das Wehen des\n\
Alliebenden, der uns in ewiger Wonne schwebend trgt und erhlt; mein Freund! Wenn's dann um meine Augen dmmert, und\n\
die Welt um mich her und der Himmel ganz in meiner Seele ruhn wie die Gestalt einer Geliebten - dann sehne ich mich oft\n\
und denke : ach knntest du das wieder ausdrcken, knntest du dem Papiere das einhauchen, was so voll, so warm in dir\n\
lebt, da es wrde der Spiegel deiner Seele, wie deine Seele ist der Spiegel des unendlichen Gottes! - mein Freund -\n\
aber ich gehe darber zugrunde, ich erliege unter der Gewalt der Herrlichkeit dieser Erscheinungen. Eine wunderbare\n\
Heiterkeit hat meine ganze Seele eingenommen, gleich den sen Frhlingsmorgen, die ich mit ganzem Herzen geniee. Ich\n\
bin allein und freue mich meines Lebens in dieser Gegend, die fr solche Seelen geschaffen ist wie die meine. Ich bin so\n\
glcklich, mein Bester, so ganz in dem Gefhle von ruhigem Dasein versunken, da meine Kunst darunter leidet. Ich knnte\n\
jetzt nicht zeichnen, nicht einen Strich, und bin nie ein grerer Maler gewesen als in diesen Augenblicken. Wenn das\n\
liebe Tal um mich dampft, und die hohe Sonne an der Oberflche der undurchdringlichen Finsternis meines Waldes ruht, und\n\
nur einzelne Strahlen sich in das innere Heiligtum stehlen, ich dann im hohen Grase am fallenden Bache liege, und nher\n\
an der Erde tausend mannigfaltige Grschen mir merkwrdig werden; wenn ich das Wimmeln der kleinen Welt zwischen Halmen,\n\
die unzhligen, unergrndlichen Gestalten der Wrmchen, der Mckchen nher an meinem Herzen fhle, und fhle die\n\
Gegenwart des Allmchtigen, der uns nach seinem Bilde schuf, das Wehen des Alliebenden, der uns in ewiger Wonne\n\
schwebend trgt und erhlt; mein Freund! Wenn's dann um meine Augen dmmert, und die Welt um mich her und der Himmel\n\
ganz in meiner Seele ruhn wie die Gestalt einer Geliebten - dann sehne ich mich oft und denke : ach knntest du das\n\
wieder ausdrcken, knntest du dem Papiere das einhauchen, was so voll, so warm in dir lebt, da es wrde der Spiegel\n\
deiner...\n";

char string_shortandlong[] PROGMEM = 
"short and long lines test. Do we have same speeds?\n\
0123456789012345678901234567890123456789012345678901234567890123456789\n\
a\n\
01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789\n\
a\nb\nc\n\nd\ne\nf\ng\nh\ni\nj\nl\nm\nn\no\np\n\etc\n\
01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789\n\
01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789\n\
01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789\n\
01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789\n\
01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789\n\
b\nc\n\
01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789\n\
01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789\n\
01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789\n\
end of short and long lines test\n";

// 100 lines of 120 columns pi digits
char string_pi_120x100[] PROGMEM = "\
PI =\n\
3.141592653589793238462643383279502884197169399375105820974944592307816406286208998628034825342117067982148086513282306\n\
64709384460955058223172535940812848111745028410270193852110555964462294895493038196442881097566593344612847564823378678\n\
31652712019091456485669234603486104543266482133936072602491412737245870066063155881748815209209628292540917153643678925\n\
90360011330530548820466521384146951941511609433057270365759591953092186117381932611793105118548074462379962749567351885\n\
75272489122793818301194912983367336244065664308602139494639522473719070217986094370277053921717629317675238467481846766\n\
94051320005681271452635608277857713427577896091736371787214684409012249534301465495853710507922796892589235420199561121\n\
29021960864034418159813629774771309960518707211349999998372978049951059731732816096318595024459455346908302642522308253\n\
34468503526193118817101000313783875288658753320838142061717766914730359825349042875546873115956286388235378759375195778\n\
18577805321712268066130019278766111959092164201989380952572010654858632788659361533818279682303019520353018529689957736\n\
22599413891249721775283479131515574857242454150695950829533116861727855889075098381754637464939319255060400927701671139\n\
00984882401285836160356370766010471018194295559619894676783744944825537977472684710404753464620804668425906949129331367\n\
70289891521047521620569660240580381501935112533824300355876402474964732639141992726042699227967823547816360093417216412\n\
19924586315030286182974555706749838505494588586926995690927210797509302955321165344987202755960236480665499119881834797\n\
75356636980742654252786255181841757467289097777279380008164706001614524919217321721477235014144197356854816136115735255\n\
21334757418494684385233239073941433345477624168625189835694855620992192221842725502542568876717904946016534668049886272\n\
32791786085784383827967976681454100953883786360950680064225125205117392984896084128488626945604241965285022210661186306\n\
74427862203919494504712371378696095636437191728746776465757396241389086583264599581339047802759009946576407895126946839\n\
83525957098258226205224894077267194782684826014769909026401363944374553050682034962524517493996514314298091906592509372\n\
21696461515709858387410597885959772975498930161753928468138268683868942774155991855925245953959431049972524680845987273\n\
64469584865383673622262609912460805124388439045124413654976278079771569143599770012961608944169486855584840635342207222\n\
58284886481584560285060168427394522674676788952521385225499546667278239864565961163548862305774564980355936345681743241\n\
12515076069479451096596094025228879710893145669136867228748940560101503308617928680920874760917824938589009714909675985\n\
26136554978189312978482168299894872265880485756401427047755513237964145152374623436454285844479526586782105114135473573\n\
95231134271661021359695362314429524849371871101457654035902799344037420073105785390621983874478084784896833214457138687\n\
51943506430218453191048481005370614680674919278191197939952061419663428754440643745123718192179998391015919561814675142\n\
69123974894090718649423196156794520809514655022523160388193014209376213785595663893778708303906979207734672218256259966\n\
15014215030680384477345492026054146659252014974428507325186660021324340881907104863317346496514539057962685610055081066\n\
58796998163574736384052571459102897064140110971206280439039759515677157700420337869936007230558763176359421873125147120\n\
53292819182618612586732157919841484882916447060957527069572209175671167229109816909152801735067127485832228718352093539\n\
65725121083579151369882091444210067510334671103141267111369908658516398315019701651511685171437657618351556508849099898\n\
59982387345528331635507647918535893226185489632132933089857064204675259070915481416549859461637180270981994309924488957\n\
57128289059232332609729971208443357326548938239119325974636673058360414281388303203824903758985243744170291327656180937\n\
73444030707469211201913020330380197621101100449293215160842444859637669838952286847831235526582131449576857262433441893\n\
03968642624341077322697802807318915441101044682325271620105265227211166039666557309254711055785376346682065310989652691\n\
86205647693125705863566201855810072936065987648611791045334885034611365768675324944166803962657978771855608455296541266\n\
54085306143444318586769751456614068007002378776591344017127494704205622305389945613140711270004078547332699390814546646\n\
45880797270826683063432858785698305235808933065757406795457163775254202114955761581400250126228594130216471550979259230\n\
99079654737612551765675135751782966645477917450112996148903046399471329621073404375189573596145890193897131117904297828\n\
56475032031986915140287080859904801094121472213179476477726224142548545403321571853061422881375850430633217518297986622\n\
37172159160771669254748738986654949450114654062843366393790039769265672146385306736096571209180763832716641627488880078\n\
69256029022847210403172118608204190004229661711963779213375751149595015660496318629472654736425230817703675159067350235\n\
07283540567040386743513622224771589150495309844489333096340878076932599397805419341447377441842631298608099888687413260\n\
47215695162396586457302163159819319516735381297416772947867242292465436680098067692823828068996400482435403701416314965\n\
89794092432378969070697794223625082216889573837986230015937764716512289357860158816175578297352334460428151262720373431\n\
46531977774160319906655418763979293344195215413418994854447345673831624993419131814809277771038638773431772075456545322\n\
07770921201905166096280490926360197598828161332316663652861932668633606273567630354477628035045077723554710585954870279\n\
08143562401451718062464362679456127531813407833033625423278394497538243720583531147711992606381334677687969597030983391\n\
30771098704085913374641442822772634659470474587847787201927715280731767907707157213444730605700733492436931138350493163\n\
12840425121925651798069411352801314701304781643788518529092854520116583934196562134914341595625865865570552690496520985\n\
80338507224264829397285847831630577775606888764462482468579260395352773480304802900587607582510474709164396136267604492\n\
56274204208320856611906254543372131535958450687724602901618766795240616342522577195429162991930645537799140373404328752\n\
62888963995879475729174642635745525407909145135711136941091193932519107602082520261879853188770584297259167781314969900\n\
90192116971737278476847268608490033770242429165130050051683233643503895170298939223345172201381280696501178440874519601\n\
21228599371623130171144484640903890644954440061986907548516026327505298349187407866808818338510228334508504860825039302\n\
13321971551843063545500766828294930413776552793975175461395398468339363830474611996653858153842056853386218672523340283\n\
08711232827892125077126294632295639898989358211674562701021835646220134967151881909730381198004973407239610368540664319\n\
39509790190699639552453005450580685501956730229219139339185680344903982059551002263535361920419947455385938102343955449\n\
59778377902374216172711172364343543947822181852862408514006660443325888569867054315470696574745855033232334210730154594\n\
05165537906866273337995851156257843229882737231989875714159578111963583300594087306812160287649628674460477464915995054\n\
97374256269010490377819868359381465741268049256487985561453723478673303904688383436346553794986419270563872931748723320\n\
83760112302991136793862708943879936201629515413371424892830722012690147546684765357616477379467520049075715552781965362\n\
13239264061601363581559074220202031872776052772190055614842555187925303435139844253223415762336106425063904975008656271\n\
09535919465897514131034822769306247435363256916078154781811528436679570611086153315044521274739245449454236828860613408\n\
41486377670096120715124914043027253860764823634143346235189757664521641376796903149501910857598442391986291642193994907\n\
23623464684411739403265918404437805133389452574239950829659122850855582157250310712570126683024029295252201187267675622\n\
04154205161841634847565169998116141010029960783869092916030288400269104140792886215078424516709087000699282120660418371\n\
80653556725253256753286129104248776182582976515795984703562226293486003415872298053498965022629174878820273420922224533\n\
98562647669149055628425039127577102840279980663658254889264880254566101729670266407655904290994568150652653053718294127\n\
03369313785178609040708667114965583434347693385781711386455873678123014587687126603489139095620099393610310291616152881\n\
38437909904231747336394804575931493140529763475748119356709110137751721008031559024853090669203767192203322909433467685\n\
14221447737939375170344366199104033751117354719185504644902636551281622882446257591633303910722538374218214088350865739\n\
17715096828874782656995995744906617583441375223970968340800535598491754173818839994469748676265516582765848358845314277\n\
56879002909517028352971634456212964043523117600665101241200659755851276178583829204197484423608007193045761893234922927\n\
96501987518721272675079812554709589045563579212210333466974992356302549478024901141952123828153091140790738602515227429\n\
95818072471625916685451333123948049470791191532673430282441860414263639548000448002670496248201792896476697583183271314\n\
25170296923488962766844032326092752496035799646925650493681836090032380929345958897069536534940603402166544375589004563\n\
28822505452556405644824651518754711962184439658253375438856909411303150952617937800297412076651479394259029896959469955\n\
65761218656196733786236256125216320862869222103274889218654364802296780705765615144632046927906821207388377814233562823\n\
60896320806822246801224826117718589638140918390367367222088832151375560037279839400415297002878307667094447456013455641\n\
72543709069793961225714298946715435784687886144458123145935719849225284716050492212424701412147805734551050080190869960\n\
33027634787081081754501193071412233908663938339529425786905076431006383519834389341596131854347546495569781038293097164\n\
65143840700707360411237359984345225161050702705623526601276484830840761183013052793205427462865403603674532865105706587\n\
48822569815793678976697422057505968344086973502014102067235850200724522563265134105592401902742162484391403599895353945\n\
90944070469120914093870012645600162374288021092764579310657922955249887275846101264836999892256959688159205600101655256\n\
37567856672279661988578279484885583439751874454551296563443480396642055798293680435220277098429423253302257634180703947\n\
69941597915945300697521482933665556615678736400536665641654732170439035213295435291694145990416087532018683793702348886\n\
89479151071637852902345292440773659495630510074210871426134974595615138498713757047101787957310422969066670214498637464\n\
59528082436944578977233004876476524133907592043401963403911473202338071509522201068256342747164602433544005152126693249\n\
34196739770415956837535551667302739007497297363549645332888698440611964961627734495182736955882207573551766515898551909\n\
86665393549481068873206859907540792342402300925900701731960362254756478940647548346647760411463233905651343306844953979\n\
07090302346046147096169688688501408347040546074295869913829668246818571031887906528703665083243197440477185567893482308\n\
94310682870272280973624809399627060747264553992539944280811373694338872940630792615959954626246297070625948455690347119\n\
72996409089418059534393251236235508134949004364278527138315912568989295196427287573946914272534366941532361004537304881\n\
98551706594121735246258954873016760029886592578662856124966552353382942878542534048308330701653722856355915253478445981\n\
83134112900199920598135220511733658564078264849427644113763938669248031183644536985891754426473998822846218449008777697\n\
76312795722672655562596282542765318300134070922334365779160128093179401718598599933849235495640057099558561134980252499\n\
06698423301735035804408116855265311709957089942732870925848789443646005041089226691783525870785951298344172953519537885\n\
53457374260859029081765155780390594640873506123226112009373108048548526357228257682034160504846627750450031262008007998\n\
04925485346941469775164932709504934639382432227188515974054702148289711177792376122578873477188196825462981268685817050\n";

char string_e_81x200[] PROGMEM = "\
  2.7182818284590452353602874713526624977572470936999595749669676277240766303535\n\
47594571382178525166427427466391932003059921817413596629043572900334295260595630\n\
73813232862794349076323382988075319525101901157383418793070215408914993488416750\n\
92447614606680822648001684774118537423454424371075390777449920695517027618386062\n\
61331384583000752044933826560297606737113200709328709127443747047230696977209310\n\
14169283681902551510865746377211125238978442505695369677078544996996794686445490\n\
59879316368892300987931277361782154249992295763514822082698951936680331825288693\n\
98496465105820939239829488793320362509443117301238197068416140397019837679320683\n\
28237646480429531180232878250981945581530175671736133206981125099618188159304169\n\
03515988885193458072738667385894228792284998920868058257492796104841984443634632\n\
44968487560233624827041978623209002160990235304369941849146314093431738143640546\n\
25315209618369088870701676839642437814059271456354906130310720851038375051011574\n\
77041718986106873969655212671546889570350354021234078498193343210681701210056278\n\
80235193033224745015853904730419957777093503660416997329725088687696640355570716\n\
22684471625607988265178713419512466520103059212366771943252786753985589448969709\n\
64097545918569563802363701621120477427228364896134225164450781824423529486363721\n\
41740238893441247963574370263755294448337998016125492278509257782562092622648326\n\
27793338656648162772516401910590049164499828931505660472580277863186415519565324\n\
42586982946959308019152987211725563475463964479101459040905862984967912874068705\n\
04895858671747985466775757320568128845920541334053922000113786300945560688166740\n\
01698420558040336379537645203040243225661352783695117788386387443966253224985065\n\
49958862342818997077332761717839280349465014345588970719425863987727547109629537\n\
41521115136835062752602326484728703920764310059584116612054529703023647254929666\n\
93811513732275364509888903136020572481765851180630364428123149655070475102544650\n\
11727211555194866850800368532281831521960037356252794495158284188294787610852639\n\
81395599006737648292244375287184624578036192981971399147564488262603903381441823\n\
26251509748279877799643730899703888677822713836057729788241256119071766394650706\n\
33045279546618550966661856647097113444740160704626215680717481877844371436988218\n\
55967095910259686200235371858874856965220005031173439207321139080329363447972735\n\
59552773490717837934216370120500545132638354400018632399149070547977805669785335\n\
80489669062951194324730995876552368128590413832411607226029983305353708761389396\n\
39177957454016137223618789365260538155841587186925538606164779834025435128439612\n\
94603529133259427949043372990857315802909586313826832914771163963370924003168945\n\
86360606458459251269946557248391865642097526850823075442545993769170419777800853\n\
62730941710163434907696423722294352366125572508814779223151974778060569672538017\n\
18077636034624592787784658506560507808442115296975218908740196609066518035165017\n\
92504619501366585436632712549639908549144200014574760819302212066024330096412704\n\
89439039717719518069908699860663658323227870937650226014929101151717763594460202\n\
32493002804018677239102880978666056511832600436885088171572386698422422010249505\n\
51881694803221002515426494639812873677658927688163598312477886520141174110913601\n\
16499507662907794364600585194199856016264790761532103872755712699251827568798930\n\
27617611461625493564959037980458381823233686120162437365698467037858533052758333\n\
37939907521660692380533698879565137285593883499894707416181550125397064648171946\n\
70834819721448889879067650379590366967249499254527903372963616265897603949857674\n\
13973594410237443297093554779826296145914429364514286171585873397467918975712119\n\
56187385783644758448423555581050025611492391518893099463428413936080383091662818\n\
81150371528496705974162562823609216807515017772538740256425347087908913729172282\n\
86115159156837252416307722544063378759310598267609442032619242853170187817729602\n\
35413060672136046000389661093647095141417185777014180606443636815464440053316087\n\
78314317444081194942297559931401188868331483280270655383300469329011574414756313\n\
99972217038046170928945790962716622607407187499753592127560844147378233032703301\n\
68237193648002173285734935947564334129943024850235732214597843282641421684878721\n\
67336701061509424345698440187331281010794512722373788612605816566805371439612788\n\
87325273738903928905068653241380627960259303877276977837928684093253658807339884\n\
57218746021005311483351323850047827169376218004904795597959290591655470505777514\n\
30817511269898518840871856402603530558373783242292418562564425502267215598027401\n\
26179719280471396006891638286652770097527670697770364392602243728418408832518487\n\
70472638440379530166905465937461619323840363893131364327137688841026811219891275\n\
22305625675625470172508634976536728860596675274086862740791285657699631378975303\n\
46606166698042182677245605306607738996242183408598820718646826232150802882863597\n\
46839654358856685503773131296587975810501214916207656769950659715344763470320853\n\
21560367482860837865680307306265763346977429563464371670939719306087696349532884\n\
68336130388294310408002968738691170666661468000151211434422560238744743252507693\n\
87077775193299942137277211258843608715834835626961661980572526612206797540621062\n\
08064988291845439530152998209250300549825704339055357016865312052649561485724925\n\
73862069174036952135337325316663454665885972866594511364413703313936721185695539\n\
52108458407244323835586063106806964924851232632699514603596037297253198368423363\n\
90463213671011619282171115028280160448805880238203198149309636959673583274202498\n\
82456849412738605664913525267060462344505492275811517093149218795927180019409688\n\
66986837037302200475314338181092708030017205935530520700706072233999463990571311\n\
58709963577735902719628506114651483752620956534671329002599439766311454590268589\n\
89791158370934193704411551219201171648805669459381311838437656206278463104903462\n\
93950029458341164824114969758326011800731699437393506966295712410273239138741754\n\
92307186245454322203955273529524024590380574450289224688628533654221381572213116\n\
32881120521464898051800920247193917105553901139433166815158288436876069611025051\n\
71007392762385553386272553538830960671644662370922646809671254061869502143176211\n\
66814009759528149390722260111268115310838731761732323526360583817315103459573653\n\
82235349929358228368510078108846343499835184044517042701893819942434100905753762\n\
57767571118090088164183319201962623416288166521374717325477727783488774366518828\n\
75215668571950637193656539038944936642176400312152787022236646363575550356557694\n\
88865495002708539236171055021311474137441061344455441921013361729962856948991933\n\
69184729478580729156088510396781959429833186480756083679551496636448965592948187\n\
85178403877332624705194505041984774201418394773120281588684570729054405751060128\n\
52580565947030468363445926525521370080687520095934536073162261187281739280746230\n\
94685367823106097921599360019946237993434210687813497346959246469752506246958616\n\
90917857397659519939299399556754271465491045686070209901260681870498417807917392\n\
40719459963230602547079017745275131868099822847308607665368668555164677029113368\n\
27563107223346726113705490795365834538637196235856312618387156774118738527722922\n\
59474337378569553845624680101390572787101651296663676445187246565373040244368414\n\
08144887329578473484900030194778880204603246608428753518483649591950828883232065\n\
22128104190448047247949291342284951970022601310430062410717971502793433263407995\n\
96053144605323048852897291765987601666781193793237245385720960758227717848336161\n\
35826128962261181294559274627671377944875867536575448614076119311259585126557597\n\
34573015333642630767985443385761715333462325270572005303988289499034259566232975\n\
78248873502925916682589445689465599265845476269452878051650172067478541788798227\n\
68065366506419109734345288783386217261562695826544782056729877564263253215942944\n\
18039943217000090542650763095588465895171709147607437136893319469090981904501290\n\
30709956622662030318264936573369841955577696378762491885286568660760056602560544\n\
57113372868402055744160308370523122425872234388541231794813885500756893811249353\n\
86318635287083799845692619981794523364087429591180747453419551420351726184200845\n\
50917084568236820089773945584267921427347756087964427920270831215015640634134161\n\
71664480698154837644915739001212170415478725919989438253649505147713793991472052\n\
19529079396137621107238494290616357604596231253506068537651423115349665683715116\n\
60422079639446662116325515772907097847315627827759878813649195125748332879377157\n\
14590910648416426783099497236744201758622694021594079244805412553604313179926967\n\
39157542419296607312393763542139230617876753958711436104089409966089471418340698\n\
36299367536262154524729846421375289107988438130609555262272083751862983706678722\n\
44301957937937860721072542772890717328548743743557819665117166183308811291202452\n\
04048682200072344035025448202834254187884653602591506445271657700044521097735585\n\
89762265548494162171498953238342160011406295071849042778925855274303522139683567\n\
90180764060421383073087744601708426882722611771808426643336517800021719034492342\n\
64266292261456004337383868335555343453004264818473989215627086095650629340405264\n\
94324426144566592129122564889356965500915430642613425266847259491431423939884543\n\
24863274618428466559853323122104662598901417121034460842716166190012571958707932\n\
17569698544013397622096749454185407118446433946990162698351607848924514058940946\n\
39526780735457970030705116368251948770118976400282764841416058720618418529718915\n\
40196882532893091496653457535714273184820163846448324990378860690080727093276731\n\
27581966563941148961716832980455139729506687604740915420428429993541025829113502\n\
24169076943166857424252250902693903481485645130306992519959043638402842926741257\n\
34224477655841778861717372654620854982944989467873509295816526320722589923687684\n\
57017823038096567883112289305809140572610865884845873101658151167533327674887014\n\
82916741970151255978257270740643180860142814902414678047232759768426963393577354\n\
29301867394397163886117642090040686633988568416810038723892144831760701166845038\n\
87212364367043314091155733280182977988736590916659612402021778558854876176161989\n\
37079438005666336488436508914480557103976521469602766258359905198704230017946553\n\
67885674302859746001437854832370687011900784994049309189191816493272597740300748\n\
79681484882342932023012128032327460392219687528340516906974194257614673978110715\n\
46418627336909158497318501118396048253351874843892317729261354302493256289637136\n\
19772854566229244616444972845978677115741256703078718851093363444801496752406185\n\
36569532074170533486782754827815415561966911055101472799040386897220465550833170\n\
78239480878599050194756310898412414467282186545997159663901564194175182093593261\n\
63168883801327587526014605076760983926257264111201352885913178482994756824725648\n\
85533357279772205543568126302535748216585414000805314820697137262149755576051890\n\
48162237679041492674260007104592269531483518813746388710427354476762357793399397\n\
06323966049691453032738878745579059349377723201429548033450006952569809352828877\n\
83710670585567749481373858630385762823040694005665340584887527005308832459182183\n\
49431804983419963998145877343586311594057044368351528538360944295596436067609022\n\
17418968835481316439974377641583652422346426195973904554506806952328507518687194\n\
49064767791886720306418630751053512149851051207313846648717547518382979990189317\n\
75155063998101646641459210240683829460320853555405814715927322067756766921366408\n\
15059008069525406106285364082932766219319399338616238360691117677854482361293268\n\
58199965239275488427435414402884536455595124735546139403154952097397051896240157\n\
97683263945063323045219264504965173546677569929571898969047090273028854494541669\n\
97919929480382549802859460290527631455803165140662291712234293758061439934849143\n\
62107993576737317948964252488813720435579287511385856973381976083524423240466778\n\
02094839963994668483377470672548361884827300064831916382602211055522124673332318\n\
44630055044818499169966220877461402161570210296033185887273332987793525701823938\n\
61244026868339555870607758169954398469568540671174444932479519572159419645863736\n\
12691552645757478698596424217659289686238350637043393981167139754473622862550680\n\
36826641355414480489977213731741191999700172939073033508690209225191244473932783\n\
76156321810842898207706974138707053266117683698647741787180202729412982310888796\n\
83188085436732780687977165911165422445380662586171172949803824887998650406156397\n\
56299369628093581897614910171453435566595427570641944088338168411111662007597872\n\
44137082333917886114708228657531078536674695018462140736493917366254937783014074\n\
30266842215033511773647185387232404042103790775026602011481493548222891666364078\n\
24501668153412135052785785393326061102498022730936367402135153864316930152674605\n\
36064351732154701091440650878823636764236831187390937464232609021646365627553976\n\
83401948293279575062439964527257862440037598342205080893512902312247597064410567\n\
83618708771723335554654825989068612014101072224659040085537982352538851716235182\n\
56518482203125214950700378300411216212126052726059944320443056274522916128891766\n\
81416063913123597535039032007752958739241247645185080916391145929607115634420434\n\
71335447209811784614510778723991406062902282766643092649005922498102910687594345\n\
33858330391178747575977065953570979640012224092199031158229259667913153991561438\n\
07012926078019702258966292336815431249941225946002339947222817105660393187722680\n\
04938331489803385489094686851307892920642428191747958661999444111962087304980643\n\
85006852620258432842085582338566936649849720817046135376163584015342840674118587\n\
58154651459827022867667185530931192334019128617061336487318319756081256946008940\n\
29530944291195902959685639230376899763274622839007354571445964141082292859222393\n\
32836210192822937243590283003884445701383771632056518351970100115722010956997890\n\
48496445343461212922496473235612632195115570156582442766159932646315580667205312\n\
75969485380573642083849188870951760522878173394627476446568589009362661233111529\n\
10816041524100214195937349786431661556732702792109593543055579732660554677963552\n\
00537830461954063697184291616858273412221714588587081427409024818544642177487692\n\
50933287856706746773812267528316535592452045780705413525769032535227389638474956\n\
46255940378924925007624386893776475310102323746733771474581625530698032499033676\n\
45543030527456151296121458594443215074905149145395098100138873792637996487372839\n\
64168975551322759620118382486507469854920380976919326064376087432093856028156428\n\
49756549307909733854185583515789409814007691892389063090542534883896831762904120\n\
21294916719581193579120316251434409650313283521672802137241594734409549831613832\n\
25054867081722214751384251667904454166173032008203309028954888085167972584958134\n\
07132180533988828139346049850532340472595097214331492586604248511405819579711564\n\
19145884283300052568477687430591639049430687134311879618963747550336282093994934\n\
36903210319768981120555953694654247041733238953940460353253967583543953505167202\n\
61647961347790912327995264929045151148307923369382166010702872651938143844844532\n\
63951739411013115250275046574934306376654186612891526444692622288436629946273246\n\
79587363835019371427864713980540382155134632237020715331348870831741465914924063\n\
59493020921122052610312390682941345696785958518393491382340884274312419099152870\n\
80433280913299307893686712741392289003306999587592181529761248240911695158778996\n\
40903525773459382482320530555672380950222667904396142318529919891810655544124772\n\
04508510210071522352342792531266930108270633942321762570076323139159349709946933\n\
24101390877916165122680441480976561897973504315139606691325837903374862083669547\n\
50832803187867077511775256639634792592197335779495554986552141933981702686399873\n\
88347010255262052312317215254062571636771270010760912281528326508984359568975961\n\
03837215772683117073455225019412170154131879365181850202087732690613359218200076\n\
23272695032838273912438281981708711681089511878967467070733778695925655427133400\n\
52326706040004348843432902760360498027862160749469654989210474443927871934536701\n\
79867392080384563372331198385586263800851634559719444199434462476112384461761573\n\
62420159350785208256006041015568898995017325543372980735616998611019084720966007\n\
08320280569917042590103876928658336557728758684250492690370934262028022399861803\n\
40021132074219864291738367917623282644464575633033655677737480864410996914182777\n\
42534170109884358531893391759345115740238472929090154685591637926961968410006765\n";

PGM_P builtin_strings[] PROGMEM = {
	string_helloworld,
	string_simple,
	string_charset,
	string_pangrams,
	string_numbers,
	string_shortandlong,
	string_bullhomepagetext,
	string_werther,
	string_pi_120x100,
	string_e_81x200
};
